#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# #export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_auto_build:
	# build and avoid https://lintian.debian.org/tags/privacy-breach-generic.html
	grep -v "\[Build Status\]" README.md | pandoc -o voctomix.html
	# just build these
	pandoc -o voctocore.html voctocore/README.md
	pandoc -o voctogui.html voctogui/README.md

override_dh_python3:
	dh_python3 /usr/share/voctomix

override_dh_clean:
	dh_clean
	rm -f voctomix.html voctocore.html voctogui.html debian/debhelper-build-stamp

include /usr/share/dpkg/pkg-info.mk

new-upstream-version: clean
	mkdir -p $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/
	rsync -av --delete --exclude=debian/ \
	    --exclude=$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/ \
	    * $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/
	find "$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)" \
	    -xdev \( -type f -o -type l \) -print \
	    | sort \
	    | tar -cJaf "../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz" \
	    -T- --owner=root --group=root --mode=a+rX
	rm -r "$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)"
